Bug 1690417 - Newer version of plantuml available 1.2020.8
Summary: Newer version of plantuml available 1.2020.8
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: plantuml
Version: 33
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Jan Safranek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-19 12:50 UTC by Eric Lavarde
Modified: 2021-01-21 09:38 UTC (History)
4 users (show)

Fixed In Version: plantuml-1.2021.0-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-21 09:38:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Eric Lavarde 2019-03-19 12:50:26 UTC
Description of problem:
The current packaged version of plantuml is 8033 and roughly 2 years old. Since then there is a newer version 1.2019.3 and it would be nice to get it packaged.

Version-Release number of selected component (if applicable):

plantuml-8033-8.fc29.noarch

Additional info:

While you're packaging, two things to consider:

- the package must depend on graphviz to work (else it fails on missing `dot`)
- the Language Reference Guide should be packaged as well

Comment 1 Ben Cotton 2019-08-13 16:48:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Eric Lavarde 2020-05-09 08:59:39 UTC
There is an even newer version (with support for network graphics, yeah!) and it is not in Fedora 32 (yet).

Comment 3 Eric Lavarde 2020-12-26 08:31:53 UTC
Still present in Fedora 33 and PlantUML version V1.2020.26 is now available

Comment 4 James Davidson 2021-01-20 21:54:04 UTC
On Jan 10, 2010 a new version, 1.2021.0, was released.

Comment 5 James Davidson 2021-01-20 21:56:08 UTC
(In reply to James Davidson from comment #4)
> On Jan 10, 2010 a new version, 1.2021.0, was released.

Um, Jan 10, 2021. Fat fingered that.

Comment 6 James Davidson 2021-01-21 02:00:45 UTC
PR out for review: https://src.fedoraproject.org/rpms/plantuml/pull-request/1

Comment 7 Jan Safranek 2021-01-21 09:38:26 UTC
Thanks a lot for the pull request! I uploaded new sources & built rawhide, check for plantuml-1.2021.0-1.fc34.

BTW, I appreciate a new maintainer / owner of the package!


Note You need to log in before you can comment on or make changes to this bug.